if Network:is_client() then
	return
end

if not Global.game_settings or Global.game_settings.level_id ~= 'welcome_to_the_jungle_2' or Global.game_settings.gamemode == 'crime_spree' then
	return
end

core:module("CoreMissionScriptElement")
core:import("CoreXml")
core:import("CoreCode")
core:import("CoreClass")

MissionScriptElement = MissionScriptElement or class()
local override_func = MissionScriptElement.on_executed

local heli2_enabled = true

function MissionScriptElement:on_executed(...)
	local id = tostring(self._id)
	if id == '104427' then
		heli2_enabled = false
	end
	--set heli spawn
	if id == '103329' then
		if heli2_enabled then
			self._values.on_executed[3].id = 100202 --104415 for pool spawn
		end
	end
	--disable alarm for heli
	if id == '103768' or id == '104398' then
		table.remove(self._values.on_executed, 2)
	end
	override_func(self, ...)
end