if Network:is_client() then
	return
end

if not Global.game_settings or Global.game_settings.level_id ~= 'welcome_to_the_jungle_2' or Global.game_settings.gamemode == 'crime_spree' then
	return
end

core:module("CoreElementUnitSequence")
core:import("CoreMissionScriptElement")
core:import("CoreCode")
core:import("CoreUnit")

ElementUnitSequence = ElementUnitSequence or class(CoreMissionScriptElement.MissionScriptElement)

function ElementUnitSequence:init(...)
	ElementUnitSequence.super.init(self, ...)
	--fix lab door
	if tostring(self._id) == '100267' then
		self._values.trigger_list[1].notify_unit_sequence = 'state_door_open'
	end
	--hide pcs after hack
	if tostring(self._id) == '100080' then
		table.insert(self._values.trigger_list, {time=0,notify_unit_id=101602,name='run_sequence',notify_unit_sequence='hide'})
		table.insert(self._values.trigger_list, {time=0,notify_unit_id=101365,name='run_sequence',notify_unit_sequence='state_reset'})
		table.insert(self._values.trigger_list, {time=0,notify_unit_id=101365,name='run_sequence',notify_unit_sequence='state_hide'})
		table.insert(self._values.trigger_list, {time=0,notify_unit_id=101862,name='run_sequence',notify_unit_sequence='hide'})
		table.insert(self._values.trigger_list, {time=0,notify_unit_id=101863,name='run_sequence',notify_unit_sequence='state_reset'})
		table.insert(self._values.trigger_list, {time=0,notify_unit_id=101863,name='run_sequence',notify_unit_sequence='state_hide'})
		table.insert(self._values.trigger_list, {time=0,notify_unit_id=100162,name='run_sequence',notify_unit_sequence='hide'})
		table.insert(self._values.trigger_list, {time=0,notify_unit_id=103320,name='run_sequence',notify_unit_sequence='state_reset'})
		table.insert(self._values.trigger_list, {time=0,notify_unit_id=103320,name='run_sequence',notify_unit_sequence='state_hide'})
	end
	self._unit = CoreUnit.safe_spawn_unit('core/units/run_sequence_dummy/run_sequence_dummy', self._values.position)
	managers.worlddefinition:add_trigger_sequence(self._unit, self._values.trigger_list)
end